#ifndef __MAIN_H__
#define __MAIN_H__

#include <SDL/SDL.h>
#include <time.h>
#ifdef __WIN32__
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif
#include <math.h>
#include <assert.h>
//#include <SDL/SDL_ttf.h>

typedef Sint8 bool;
enum {false=0,true=-1};

int fatal_error(const char *fmt, ...);
char axtob(char *ptr);
bool exists(const char *path);
char *find_file(const char *file);
char *find_image(const char *file, bool allow_wii);

#define SCREENSCALE 2
#define DEFAULTMOD "base"
#define WIIDATAPATH "wiidata"
#define DATAPATH "data"
extern char *modpath;
extern bool wii_priority;

#endif
